Bug 682503 - [abrt] eclipse-platform-1:3.5.2-4.fc13: Process /usr/lib/eclipse/eclipse was killed by signal 6 (SIGABRT)
[abrt] eclipse-platform-1:3.5.2-4.fc13: Process /usr/lib/eclipse/eclipse was ...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: eclipse (Show other bugs)
13
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Alexander Kurtakov
Fedora Extras Quality Assurance
abrt_hash:959cda102ecbfe2d7b123d80b15...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-03-06 03:41 EST by Johannes Buchner
Modified: 2011-03-30 06:40 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-03-30 06:40:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (28.51 KB, text/plain)
2011-03-06 03:41 EST, Johannes Buchner
no flags Details

  None (edit)
Description Johannes Buchner 2011-03-06 03:41:19 EST
abrt version: 1.1.14
architecture: i686
Attached file: backtrace
cmdline: /usr/lib/eclipse/eclipse
component: eclipse
executable: /usr/lib/eclipse/eclipse
kernel: 2.6.34.7-66.fc13.i686.PAE
package: eclipse-platform-1:3.5.2-4.fc13
reason: Process /usr/lib/eclipse/eclipse was killed by signal 6 (SIGABRT)
release: Fedora release 13 (Goddard)
time: 1299397202
uid: 500

How to reproduce
-----
1. control-tab expansion
2. window hangs
3. switch away to another workspace, work in other window
4. eclipse crashes
Comment 1 Johannes Buchner 2011-03-06 03:41:29 EST
Created attachment 482495 [details]
File: backtrace
Comment 2 Andrew Overholt 2011-03-07 09:59:33 EST
Do you know what causes these errors:

/home/user/.eclipse/155965261/configuration/org.eclipse.osgi/bundles/1712/1/.cp/libswt-gtk-3557.so: Permission denied.
Error while mapping shared library sections:
/home/user/.eclipse/155965261/configuration/org.eclipse.osgi/bundles/1712/1/.cp/libswt-pi-gtk-3557.so: Permission denied.
Error while mapping shared library sections:
/home/user/.eclipse/155965261/configuration/org.eclipse.osgi/bundles/1632/1/.cp/os/linux/x86/liblocalfile_1_0_0.so: Permission denied.
Error while mapping shared library sections:
/home/user/.eclipse/155965261/configuration/org.eclipse.osgi/bundles/1712/1/.cp/libswt-atk-gtk-3557.so: Permission denied.
Error while mapping shared library sections:
/home/user/.eclipse/155965261/configuration/org.eclipse.osgi/bundles/1712/1/.cp/libswt-cairo-gtk-3557.so: Permission denied.
Error while mapping shared library sections:
/home/user/.eclipse/155965261/configuration/org.eclipse.osgi/bundles/1712/1/.cp/libswt-gnome-gtk-3557.so: Permission denied.
Error while mapping shared library sections:
/home/user/.eclipse/155965261/configuration/org.eclipse.osgi/bundles/1712/1/.cp/libswt-xpcominit-gtk-3557.so: Permission denied.
Error while mapping shared library sections:
/home/user/.eclipse/155965261/configuration/org.eclipse.osgi/bundles/1712/1/.cp/libswt-xulrunner-gtk-3557.so: Permission denied.

?  Outside of those errors, this looks to be an entirely OpenJDK-related issue.
Comment 3 Johannes Buchner 2011-03-07 17:43:52 EST
$ ls -l /home/user/.eclipse/155965261/configuration/org.eclipse.osgi/bundles/1712/1/.cp/libswt-cairo-gtk-3557.so
-rw-rw-r--. 1 user user 41492 Jan 26 08:32 /home/user/.eclipse/155965261/configuration/org.eclipse.osgi/bundles/1712/1/.cp/libswt-cairo-gtk-3557.so

They are not set executable, should they be?
These were apparently downloaded by eclipse itself.

$ find  /home/user/.eclipse/ -name '*.so'
/home/user/.eclipse/155965261/configuration/org.eclipse.osgi/bundles/1793/1/.cp/os/linux/x86/libspawner.so
/home/user/.eclipse/155965261/configuration/org.eclipse.osgi/bundles/1632/1/.cp/os/linux/x86/liblocalfile_1_0_0.so
/home/user/.eclipse/155965261/configuration/org.eclipse.osgi/bundles/1712/1/.cp/libswt-pi-gtk-3557.so
/home/user/.eclipse/155965261/configuration/org.eclipse.osgi/bundles/1712/1/.cp/libswt-xpcominit-gtk-3557.so
/home/user/.eclipse/155965261/configuration/org.eclipse.osgi/bundles/1712/1/.cp/libswt-atk-gtk-3557.so
/home/user/.eclipse/155965261/configuration/org.eclipse.osgi/bundles/1712/1/.cp/libswt-cairo-gtk-3557.so
/home/user/.eclipse/155965261/configuration/org.eclipse.osgi/bundles/1712/1/.cp/libswt-gtk-3557.so
/home/user/.eclipse/155965261/configuration/org.eclipse.osgi/bundles/1712/1/.cp/libswt-gnome-gtk-3557.so
/home/user/.eclipse/155965261/configuration/org.eclipse.osgi/bundles/1712/1/.cp/libswt-xulrunner-gtk-3557.so

These are all .so files, perhaps eclipse forgot to set +x.
Comment 4 Andrew Overholt 2011-03-07 17:56:19 EST
Those SWT .so files shouldn't be there if you're using the RPMs in Fedora.  They should have been extracted at build time and exist in /usr/lib (or /usr/lib64) /eclipse somewhere.  Do they exist there?

What is the output of the commands listed here:

  http://fedoraproject.org/wiki/DebuggingEclipseProblems
Comment 5 Johannes Buchner 2011-03-07 19:37:14 EST
Thanks for looking into this Andrew. Here is what you asked for:

Commands from http://fedoraproject.org/wiki/DebuggingEclipseProblems

user@localhost ~ $ for f in `rpm -aq | egrep "eclipse|swt"`; do echo "--- $f ---"; rpm -qV $f; done
--- eclipse-callgraph-0.5.0-1.fc13.i686 ---
--- maven2-plugin-eclipse-2.0.8-3.fc12.noarch ---
--- eclipse-oprofile-0.4.0-1.fc13.i686 ---
--- eclipse-photran-5.0.0-0.4.200910081739.fc13.noarch ---
--- eclipse-subclipse-1.6.8-1.fc13.noarch ---
--- eclipse-dtp-1.7.2-1.fc13.noarch ---
--- eclipse-rse-3.1.1-3.fc13.noarch ---
--- eclipse-birt-2.5.2-1.fc13.noarch ---
--- eclipse-jgit-0.7.1-1.fc13.noarch ---
--- eclipse-gef-3.5.2-1.fc13.noarch ---
--- eclipse-platform-3.5.2-4.fc13.i686 ---
--- eclipse-mylyn-java-3.3.2-2.fc13.noarch ---
--- eclipse-mylyn-3.3.2-2.fc13.noarch ---
--- eclipse-valgrind-0.4.1-1.fc13.i686 ---
--- eclipse-pydev-mylyn-1.5.5-2.fc13.i686 ---
--- eclipse-pydev-1.5.5-2.fc13.i686 ---
--- eclipse-jdt-3.5.2-4.fc13.i686 ---
--- eclipse-rcp-3.5.2-4.fc13.i686 ---
--- eclipse-changelog-2.6.7-3.fc12.i686 ---
--- eclipse-mylyn-cdt-3.3.2-2.fc13.noarch ---
--- eclipse-linuxprofilingframework-0.5.0-2.fc13.i686 ---
--- eclipse-swt-3.5.2-4.fc13.i686 ---
--- eclipse-rpm-editor-0.5.0-1.fc13.i686 ---
--- eclipse-collabnet-merge-2.0.0-1.fc13.noarch ---
--- icu4j-eclipse-4.0.1-5.fc13.i686 ---
--- eclipse-emf-2.5.0-4.fc12.noarch ---
--- eclipse-egit-0.7.1-2.fc13.noarch ---
--- eclipse-svnkit-1.3.2-2.fc13.noarch ---
--- tomcat5-jasper-eclipse-5.5.27-7.4.fc12.noarch ---
--- eclipse-pde-3.5.2-4.fc13.i686 ---
--- eclipse-cdt-6.0.2-5.fc13.i686 ---
user@localhost ~ $ which java
/usr/bin/java
user@localhost ~ $ readlink -f `which java`
/usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0/jre/bin/java
user@localhost ~ $ which javac
/usr/bin/javac
user@localhost ~ $ readlink -f `which javac`
/usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0/bin/javac
user@localhost ~ $ java -version
java version "1.6.0_18"
OpenJDK Runtime Environment (IcedTea6 1.8.7) (fedora-50.1.8.7.fc13-i386)
OpenJDK Server VM (build 14.0-b16, mixed mode)

other .so files in /usr/lib/eclipse (no /usr/lib64/eclipse directory)

user@localhost ~ $ cd /usr/lib/eclipse
user@localhost /usr/lib/eclipse $ find -name "*.so"./libswt-gnome-gtk-3557.so
./libswt-atk-gtk-3557.so
./libswt-xulrunner-gtk-3557.so
./libswt-awt-gtk-3557.so
./libswt-xpcominit-gtk-3557.so
./libswt-gtk-3557.so
./libswt-pi-gtk-3557.so
./plugins/org.eclipse.equinox.launcher.gtk.linux.x86_1.0.200.201012151431/eclipse_1208.so
./configuration/org.eclipse.osgi/bundles/27/1/.cp/os/linux/x86/liblocalfile_1_0_0.so
./configuration/org.eclipse.osgi/bundles/142/1/.cp/os/linux/x86/libupdate.so
./configuration/org.eclipse.osgi/bundles/112/1/.cp/libswt-gnome-gtk-3557.so
./configuration/org.eclipse.osgi/bundles/112/1/.cp/libswt-atk-gtk-3557.so
./configuration/org.eclipse.osgi/bundles/112/1/.cp/libswt-xulrunner-gtk-3557.so
./configuration/org.eclipse.osgi/bundles/112/1/.cp/libswt-awt-gtk-3557.so
./configuration/org.eclipse.osgi/bundles/112/1/.cp/libswt-xpcominit-gtk-3557.so
./configuration/org.eclipse.osgi/bundles/112/1/.cp/libswt-gtk-3557.so
./configuration/org.eclipse.osgi/bundles/112/1/.cp/libswt-pi-gtk-3557.so
./configuration/org.eclipse.osgi/bundles/112/1/.cp/libswt-glx-gtk-3557.so
./configuration/org.eclipse.osgi/bundles/112/1/.cp/libswt-cairo-gtk-3557.so
./configuration/org.eclipse.osgi/bundles/30/1/.cp/libgnomeproxy-1.0.0.so
./libswt-glx-gtk-3557.so
./libswt-cairo-gtk-3557.so
Comment 6 Andrew Overholt 2011-03-08 09:06:11 EST
Can you try temporarily moving ~/.eclipse out of the way and re-starting Eclipse?  I want to see if those .so files re-appear.
Comment 7 Alexander Kurtakov 2011-03-30 06:40:04 EDT
More than 3 weeks without response to Andrew's question. Closing. Please reopen when/if you have time to help us fix the issue.

Note You need to log in before you can comment on or make changes to this bug.